Enum Class TimeServicePackageType

java.lang.Object
java.lang.Enum<TimeServicePackageType>
com.eqixiac.equinix.fabric.enums.TimeServicePackageType
All Implemented Interfaces:
Serializable, Comparable<TimeServicePackageType>, Constable

public enum TimeServicePackageType extends Enum<TimeServicePackageType>
Values of the type property of the Fabric v4 precisionTimePackageResponse schema. UNKNOWN is a read-side fallback for values added after this SDK release — never send it.
  • Enum Constant Details

  • Method Details

    • values

      public static TimeServicePackageType[] values()
      Returns an array containing the constants of this enum class, in the order they are declared.
      Returns:
      an array containing the constants of this enum class, in the order they are declared
    • valueOf

      public static TimeServicePackageType valueOf(String name)
      Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
      Parameters:
      name - the name of the enum constant to be returned.
      Returns:
      the enum constant with the specified name
      Throws:
      IllegalArgumentException - if this enum class has no constant with the specified name
      NullPointerException - if the argument is null
    • fromString

      public static TimeServicePackageType fromString(String value)